Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000236bareos-core[All Projects] Generalpublic2013-10-18 13:462015-03-25 19:19
ReporterMaxHeadroom 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformAmd64OSDebian JessieOS Version8
Product Version13.2.1 
Target Version13.2.3Fixed in Version13.2.3 
Summary0000236: Hardcoded path for postgres (verison) in scripts
DescriptionOther version of postgres ends up in a non working bareos environment.
Only a manual change of the bindir= path in every script solve this.

On Debian/Ubuntu there is a script to find parameters, live version, for postgrges -->see pg_lsclusters
Steps To Reproduce/usr/lib/bareos/scripts# grep bindir= *
drop_postgresql_database:bindir=/usr/lib/postgresql/9.1/bin
drop_postgresql_tables:bindir=/usr/lib/postgresql/9.1/bin
grant_postgresql_privileges:bindir=/usr/lib/postgresql/9.1/bin
make_postgresql_tables:bindir=/usr/lib/postgresql/9.1/bin
update_postgresql_tables:bindir=/usr/lib/postgresql/9.1/bin

/usr/lib/bareos/scripts# grep BINDIR= *
make_catalog_backup: BINDIR=/usr/lib/postgresql/9.1/bin
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships

-  Notes
(0000710)
tigerfoot (developer)
2013-10-29 17:16

Your assumption is not true ( it could be buggy)
in all source file the path of postgresql is determined automatically during the build depending on what the target system propose.

For example
bindir=@POSTGRESQL_BINDIR@

How would you propose to fix the non default postgresql installation after the build ?



Under rpm its mainly pg_config tool that be used to extract useful information

Example under openSUSE_12.3
rpm -qf `which pg_config `
postgresql92-devel-9.2.4-1.8.1.x86_64
bruno@c-3po:/tmp$ pg_config
BINDIR = /usr/lib/postgresql92/bin
DOCDIR = /usr/share/doc/packages/postgresql92
HTMLDIR = /usr/share/doc/packages/postgresql92
INCLUDEDIR = /usr/include/pgsql
PKGINCLUDEDIR = /usr/include/pgsql
INCLUDEDIR-SERVER = /usr/include/pgsql/server
LIBDIR = /usr/lib/postgresql92/lib64
PKGLIBDIR = /usr/lib/postgresql92/lib64
LOCALEDIR = /usr/share/locale
MANDIR = /usr/share/man
SHAREDIR = /usr/share/postgresql92
SYSCONFDIR = /etc/postgresql
PGXS = /usr/lib/postgresql92/lib64/pgxs/src/makefiles/pgxs.mk
CONFIGURE = '--host=x86_64-suse-linux-gnu' '--build=x86_64-suse-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib64' '--libexecdir=/usr/lib' '--localstatedir=/var' '--sharedstatedir=/usr/com' '--infodir=/usr/share/info' '--disable-dependency-tracking' '--bindir=/usr/lib/postgresql92/bin' '--libdir=/usr/lib/postgresql92/lib64' '--includedir=/usr/include/pgsql' '--datadir=/usr/share/postgresql92' '--docdir=/usr/share/doc/packages/postgresql92' '--mandir=/usr/share/man' '--disable-rpath' '--enable-nls' '--enable-thread-safety' '--enable-integer-datetimes' '--without-readline' '--with-openssl' '--with-ldap' '--with-gssapi' '--with-krb5' '--with-system-tzdata=/usr/share/zoneinfo' 'build_alias=x86_64-suse-linux-gnu' 'host_alias=x86_64-suse-linux-gnu' 'CFLAGS=-fmessage-length=0 -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables -fasynchronous-unwind-tables -g'
CC = gcc
CPPFLAGS = -D_GNU_SOURCE
CFLAGS = -fmessage-length=0 -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables -fasynchronous-unwind-tables -g -Wall -Wmissing-prototypes -Wpointer-arith -Wdeclaration-after-statement -Wendif-labels -Wmissing-format-attribute -Wformat-security -fno-strict-aliasing -fwrapv -fexcess-precision=standard
CFLAGS_SL = -fpic
LDFLAGS = -Wl,--as-needed
LDFLAGS_EX =
LDFLAGS_SL =
LIBS = -lpgport -lssl -lcrypto -lkrb5 -lcom_err -lgssapi_krb5 -lz -lcrypt -ldl -lm
VERSION = PostgreSQL 9.2.4
(0000714)
MaxHeadroom (reporter)
2013-10-29 23:05
edited on: 2013-10-29 23:06

On Debian Jessie Postgres 9.3 is default.
Also for better upgrade path the version should not be fixed.
(If not possible use one default config file)
I know the script is not bullet proof but try to find the version
#!/bin/sh
[ -r /usr/share/postgresql-common/init.d-functions ] || exit 0
. /usr/share/postgresql-common/init.d-functions
    get_versions
        for v in $versions; do
            echo $v
        done

(0000719)
maik (administrator)
2013-11-08 16:46

Version is written by configure, however there is room for improvement here. Has to take different distributions' mechanism into consideration.
(0000724)
joergs (administrator)
2013-11-08 17:10

AFAIK, bindir is only used to get access to the command psql.

At least on openSUSE 12.2 and on Debian 6 /usr/bin/psql is available as a wrapper to the currently installed postgres version.

We should check also the other distributions. Maybe this path is not required at all.
(0000805)
mvwieringen (developer)
2014-02-01 23:09

Fix committed to bareos master branch with changesetid 1440.
(0000822)
mvwieringen (developer)
2014-02-25 17:21

Fix committed to bareos bareos-13.2 branch with changesetid 1532.
(0001413)
mvwieringen (developer)
2015-03-25 16:51

Fix committed to bareos2015 bareos-14.2 branch with changesetid 4929.
(0001568)
joergs (administrator)
2015-03-25 19:19

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

- Related Changesets
bareos: master 6f4dc6d4
Timestamp: 2014-01-30 09:00:32
Author: joergs
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
Rework database scripting.

Having the actual DDL (Data Definition Language) in scripts is not very
flexible so we move all DDL into seperate files. We also dropped all
database specific scripting and as such the generic script now knows
for all supported database types what to do on create/update/grant and
drop.

You can also have a read-only user on your database that is allowed
to select stuff but not anything else that might be interesting for
Management Queries.

The update script now can also upgrade from a database that is several
versions old. For now that means you can upgrade from a Bacula database
to the first Bareos database schema and also to the new Database schema
we are introducing with this patch. For the future it means the script
will perform all needed updates for you if its has the wanted so called
conversion available (e.g. the way to go from one version to an other.)

We also added more functionality to the bareos-config script and splitted
the function into a bareos-config-lib which can be included by scripts
so they can get config information like the working dir etc. This is
already used in all the new database scripts.

We also no longer use explicit absolute pathnames for database utilities
but make sure the utility can be found via the PATH, if your PATH already
provides the utility it will be used and otherwise the value will be used
that was determined at compile time.

Fixes 0000236: Hardcoded path for postgres (verison) in scripts
mod - autoconf/configure.in Diff ] File ]
mod - debian/bareos-common.install Diff ] File ]
mod - debian/bareos-database-mysql.install Diff ] File ]
mod - debian/bareos-database-postgresql.install Diff ] File ]
mod - debian/bareos-database-sqlite3.install Diff ] File ]
mod - platforms/packaging/bareos.spec Diff ] File ]
mod - scripts/Makefile.in Diff ] File ]
add - scripts/bareos-config-lib.sh.in Diff ] File ]
mod - scripts/bareos-config.in Diff ] File ]
mod - src/cats/Makefile.in Diff ] File ]
mod - src/cats/create_bareos_database.in Diff ] File ]
rm - src/cats/create_ingres_database.in Diff ] File ]
rm - src/cats/create_mysql_database.in Diff ] File ]
rm - src/cats/create_postgresql_database.in Diff ] File ]
rm - src/cats/create_sqlite3_database.in Diff ] File ]
add - src/cats/ddl/drops/postgresql.sql Diff ] File ]
add - src/cats/ddl/grants/ingres-readonly.sql Diff ] File ]
add - src/cats/ddl/grants/ingres.sql Diff ] File ]
add - src/cats/ddl/grants/mysql-readonly.sql Diff ] File ]
add - src/cats/ddl/grants/mysql.sql Diff ] File ]
add - src/cats/ddl/grants/postgresql-readonly.sql Diff ] File ]
add - src/cats/ddl/grants/postgresql.sql Diff ] File ]
add - src/cats/ddl/updates/mysql.14_2001.sql Diff ] File ]
add - src/cats/ddl/updates/mysql.2001_2002.sql Diff ] File ]
add - src/cats/ddl/updates/postgresql.14_2001.sql Diff ] File ]
add - src/cats/ddl/updates/postgresql.2001_2002.sql Diff ] File ]
add - src/cats/ddl/updates/sqlite3.14_2001.sql Diff ] File ]
add - src/cats/ddl/updates/sqlite3.2001_2002.sql Diff ] File ]
mod - src/cats/delete_catalog_backup.in Diff ] File ]
mod - src/cats/drop_bareos_database.in Diff ] File ]
mod - src/cats/drop_bareos_tables.in Diff ] File ]
rm - src/cats/drop_ingres_database.in Diff ] File ]
rm - src/cats/drop_mysql_database.in Diff ] File ]
rm - src/cats/drop_postgresql_database.in Diff ] File ]
rm - src/cats/drop_postgresql_tables.in Diff ] File ]
rm - src/cats/drop_sqlite3_database.in Diff ] File ]
rm - src/cats/drop_sqlite3_tables.in Diff ] File ]
rm - src/cats/fix_postgresql_tables Diff ] File ]
mod - src/cats/grant_bareos_privileges.in Diff ] File ]
rm - src/cats/grant_ingres_privileges.in Diff ] File ]
rm - src/cats/grant_mysql_privileges.in Diff ] File ]
rm - src/cats/grant_postgresql_privileges.in Diff ] File ]
rm - src/cats/grant_privileges Diff ] File ]
rm - src/cats/grant_sqlite3_privileges.in Diff ] File ]
rm - src/cats/ingres.in Diff ] File ]
mod - src/cats/make_bareos_tables.in Diff ] File ]
mod - src/cats/make_catalog_backup.in Diff ] File ]
mod - src/cats/make_ingres_catalog_backup.in Diff ] File ]
rm - src/cats/mysql.in Diff ] File ]
rm - src/cats/postgresql.in Diff ] File ]
mod - src/cats/restore_ingres_catalog_backup.in Diff ] File ]
rm - src/cats/sqlite.in Diff ] File ]
mod - src/cats/update_bareos_tables.in Diff ] File ]
rm - src/cats/update_ingres_tables.in Diff ] File ]
rm - src/cats/update_mysql_tables.in Diff ] File ]
rm - src/cats/update_postgresql_tables.in Diff ] File ]
rm - src/cats/update_sqlite3_tables.in Diff ] File ]
bareos2015: bareos-14.2 910ed935
Timestamp: 2014-01-30 10:00:32
Author: joergs
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
Rework database scripting.

Having the actual DDL (Data Definition Language) in scripts is not very
flexible so we move all DDL into seperate files. We also dropped all
database specific scripting and as such the generic script now knows
for all supported database types what to do on create/update/grant and
drop.

You can also have a read-only user on your database that is allowed
to select stuff but not anything else that might be interesting for
Management Queries.

The update script now can also upgrade from a database that is several
versions old. For now that means you can upgrade from a Bacula database
to the first Bareos database schema and also to the new Database schema
we are introducing with this patch. For the future it means the script
will perform all needed updates for you if its has the wanted so called
conversion available (e.g. the way to go from one version to an other.)

We also added more functionality to the bareos-config script and splitted
the function into a bareos-config-lib which can be included by scripts
so they can get config information like the working dir etc. This is
already used in all the new database scripts.

We also no longer use explicit absolute pathnames for database utilities
but make sure the utility can be found via the PATH, if your PATH already
provides the utility it will be used and otherwise the value will be used
that was determined at compile time.

Fixes 0000236: Hardcoded path for postgres (verison) in scripts
mod - autoconf/configure.in Diff ] File ]
mod - debian/bareos-common.install Diff ] File ]
mod - debian/bareos-database-mysql.install Diff ] File ]
mod - debian/bareos-database-postgresql.install Diff ] File ]
mod - debian/bareos-database-sqlite3.install Diff ] File ]
mod - platforms/packaging/bareos.spec Diff ] File ]
mod - scripts/Makefile.in Diff ] File ]
add - scripts/bareos-config-lib.sh.in Diff ] File ]
mod - scripts/bareos-config.in Diff ] File ]
mod - src/cats/Makefile.in Diff ] File ]
mod - src/cats/create_bareos_database.in Diff ] File ]
rm - src/cats/create_ingres_database.in Diff ] File ]
rm - src/cats/create_mysql_database.in Diff ] File ]
rm - src/cats/create_postgresql_database.in Diff ] File ]
rm - src/cats/create_sqlite3_database.in Diff ] File ]
add - src/cats/ddl/drops/postgresql.sql Diff ] File ]
add - src/cats/ddl/grants/ingres-readonly.sql Diff ] File ]
add - src/cats/ddl/grants/ingres.sql Diff ] File ]
add - src/cats/ddl/grants/mysql-readonly.sql Diff ] File ]
add - src/cats/ddl/grants/mysql.sql Diff ] File ]
add - src/cats/ddl/grants/postgresql-readonly.sql Diff ] File ]
add - src/cats/ddl/grants/postgresql.sql Diff ] File ]
add - src/cats/ddl/updates/mysql.14_2001.sql Diff ] File ]
add - src/cats/ddl/updates/mysql.2001_2002.sql Diff ] File ]
add - src/cats/ddl/updates/postgresql.14_2001.sql Diff ] File ]
add - src/cats/ddl/updates/postgresql.2001_2002.sql Diff ] File ]
add - src/cats/ddl/updates/sqlite3.14_2001.sql Diff ] File ]
add - src/cats/ddl/updates/sqlite3.2001_2002.sql Diff ] File ]
mod - src/cats/delete_catalog_backup.in Diff ] File ]
mod - src/cats/drop_bareos_database.in Diff ] File ]
mod - src/cats/drop_bareos_tables.in Diff ] File ]
rm - src/cats/drop_ingres_database.in Diff ] File ]
rm - src/cats/drop_mysql_database.in Diff ] File ]
rm - src/cats/drop_postgresql_database.in Diff ] File ]
rm - src/cats/drop_postgresql_tables.in Diff ] File ]
rm - src/cats/drop_sqlite3_database.in Diff ] File ]
rm - src/cats/drop_sqlite3_tables.in Diff ] File ]
rm - src/cats/fix_postgresql_tables Diff ] File ]
mod - src/cats/grant_bareos_privileges.in Diff ] File ]
rm - src/cats/grant_ingres_privileges.in Diff ] File ]
rm - src/cats/grant_mysql_privileges.in Diff ] File ]
rm - src/cats/grant_postgresql_privileges.in Diff ] File ]
rm - src/cats/grant_privileges Diff ] File ]
rm - src/cats/grant_sqlite3_privileges.in Diff ] File ]
rm - src/cats/ingres.in Diff ] File ]
mod - src/cats/make_bareos_tables.in Diff ] File ]
mod - src/cats/make_catalog_backup.in Diff ] File ]
mod - src/cats/make_ingres_catalog_backup.in Diff ] File ]
rm - src/cats/mysql.in Diff ] File ]
rm - src/cats/postgresql.in Diff ] File ]
mod - src/cats/restore_ingres_catalog_backup.in Diff ] File ]
rm - src/cats/sqlite.in Diff ] File ]
mod - src/cats/update_bareos_tables.in Diff ] File ]
rm - src/cats/update_ingres_tables.in Diff ] File ]
rm - src/cats/update_mysql_tables.in Diff ] File ]
rm - src/cats/update_postgresql_tables.in Diff ] File ]
rm - src/cats/update_sqlite3_tables.in Diff ] File ]
bareos: bareos-13.2 43038491
Timestamp: 2014-02-24 20:01:24
Author: mvwieringen
Ported: N/A
Details ] Diff ]
Rework database scripting.

Having the actual DDL (Data Definition Language) in scripts is not very
flexible so we move all DDL into seperate files. We also dropped all
database specific scripting and as such the generic script now knows
for all supported database types what to do on create/update/grant and
drop.

You can also have a read-only user on your database that is allowed
to select stuff but not anything else that might be interesting for
Management Queries.

The update script now can also upgrade from a database that is several
versions old. For now that means you can upgrade from a Bacula database
to the first Bareos database schema and also to the new Database schema
we are introducing with this patch. For the future it means the script
will perform all needed updates for you if its has the wanted so called
conversion available (e.g. the way to go from one version to an other.)

We also added more functionality to the bareos-config script and splitted
the function into a bareos-config-lib which can be included by scripts
so they can get config information like the working dir etc. This is
already used in all the new database scripts.

We also no longer use explicit absolute pathnames for database utilities
but make sure the utility can be found via the PATH, if your PATH already
provides the utility it will be used and otherwise the value will be used
that was determined at compile time.

Fixes 0000236: Hardcoded path for postgres (verison) in scripts
mod - autoconf/configure.in Diff ] File ]
mod - debian/bareos-common.install Diff ] File ]
mod - debian/bareos-database-mysql.install Diff ] File ]
mod - debian/bareos-database-postgresql.install Diff ] File ]
mod - debian/bareos-database-sqlite3.install Diff ] File ]
mod - platforms/packaging/bareos.spec Diff ] File ]
mod - scripts/Makefile.in Diff ] File ]
add - scripts/bareos-config-lib.sh.in Diff ] File ]
mod - scripts/bareos-config.in Diff ] File ]
mod - src/cats/Makefile.in Diff ] File ]
mod - src/cats/create_bareos_database.in Diff ] File ]
rm - src/cats/create_ingres_database.in Diff ] File ]
rm - src/cats/create_mysql_database.in Diff ] File ]
rm - src/cats/create_postgresql_database.in Diff ] File ]
rm - src/cats/create_sqlite3_database.in Diff ] File ]
add - src/cats/ddl/drops/postgresql.sql Diff ] File ]
add - src/cats/ddl/grants/ingres-readonly.sql Diff ] File ]
add - src/cats/ddl/grants/ingres.sql Diff ] File ]
add - src/cats/ddl/grants/mysql-readonly.sql Diff ] File ]
add - src/cats/ddl/grants/mysql.sql Diff ] File ]
add - src/cats/ddl/grants/postgresql-readonly.sql Diff ] File ]
add - src/cats/ddl/grants/postgresql.sql Diff ] File ]
add - src/cats/ddl/updates/mysql.14_2001.sql Diff ] File ]
add - src/cats/ddl/updates/mysql.2001_2002.sql Diff ] File ]
add - src/cats/ddl/updates/postgresql.14_2001.sql Diff ] File ]
add - src/cats/ddl/updates/postgresql.2001_2002.sql Diff ] File ]
add - src/cats/ddl/updates/sqlite3.14_2001.sql Diff ] File ]
add - src/cats/ddl/updates/sqlite3.2001_2002.sql Diff ] File ]
mod - src/cats/delete_catalog_backup.in Diff ] File ]
mod - src/cats/drop_bareos_database.in Diff ] File ]
mod - src/cats/drop_bareos_tables.in Diff ] File ]
rm - src/cats/drop_ingres_database.in Diff ] File ]
rm - src/cats/drop_mysql_database.in Diff ] File ]
rm - src/cats/drop_postgresql_database.in Diff ] File ]
rm - src/cats/drop_postgresql_tables.in Diff ] File ]
rm - src/cats/drop_sqlite3_database.in Diff ] File ]
rm - src/cats/drop_sqlite3_tables.in Diff ] File ]
rm - src/cats/fix_postgresql_tables Diff ] File ]
mod - src/cats/grant_bareos_privileges.in Diff ] File ]
rm - src/cats/grant_ingres_privileges.in Diff ] File ]
rm - src/cats/grant_mysql_privileges.in Diff ] File ]
rm - src/cats/grant_postgresql_privileges.in Diff ] File ]
rm - src/cats/grant_privileges Diff ] File ]
rm - src/cats/grant_sqlite3_privileges.in Diff ] File ]
rm - src/cats/ingres.in Diff ] File ]
mod - src/cats/make_bareos_tables.in Diff ] File ]
mod - src/cats/make_catalog_backup.in Diff ] File ]
mod - src/cats/make_ingres_catalog_backup.in Diff ] File ]
rm - src/cats/mysql.in Diff ] File ]
rm - src/cats/postgresql.in Diff ] File ]
mod - src/cats/restore_ingres_catalog_backup.in Diff ] File ]
rm - src/cats/sqlite.in Diff ] File ]
mod - src/cats/update_bareos_tables.in Diff ] File ]
rm - src/cats/update_ingres_tables.in Diff ] File ]
rm - src/cats/update_mysql_tables.in Diff ] File ]
rm - src/cats/update_postgresql_tables.in Diff ] File ]
rm - src/cats/update_sqlite3_tables.in Diff ] File ]
bareos2015: bareos-13.2 04c2c636
Timestamp: 2014-02-24 21:01:24
Author: mvwieringen
Ported: N/A
Details ] Diff ]
Rework database scripting.

Having the actual DDL (Data Definition Language) in scripts is not very
flexible so we move all DDL into seperate files. We also dropped all
database specific scripting and as such the generic script now knows
for all supported database types what to do on create/update/grant and
drop.

You can also have a read-only user on your database that is allowed
to select stuff but not anything else that might be interesting for
Management Queries.

The update script now can also upgrade from a database that is several
versions old. For now that means you can upgrade from a Bacula database
to the first Bareos database schema and also to the new Database schema
we are introducing with this patch. For the future it means the script
will perform all needed updates for you if its has the wanted so called
conversion available (e.g. the way to go from one version to an other.)

We also added more functionality to the bareos-config script and splitted
the function into a bareos-config-lib which can be included by scripts
so they can get config information like the working dir etc. This is
already used in all the new database scripts.

We also no longer use explicit absolute pathnames for database utilities
but make sure the utility can be found via the PATH, if your PATH already
provides the utility it will be used and otherwise the value will be used
that was determined at compile time.

Fixes 0000236: Hardcoded path for postgres (verison) in scripts
mod - autoconf/configure.in Diff ] File ]
mod - debian/bareos-common.install Diff ] File ]
mod - debian/bareos-database-mysql.install Diff ] File ]
mod - debian/bareos-database-postgresql.install Diff ] File ]
mod - debian/bareos-database-sqlite3.install Diff ] File ]
mod - platforms/packaging/bareos.spec Diff ] File ]
mod - scripts/Makefile.in Diff ] File ]
add - scripts/bareos-config-lib.sh.in Diff ] File ]
mod - scripts/bareos-config.in Diff ] File ]
mod - src/cats/Makefile.in Diff ] File ]
mod - src/cats/create_bareos_database.in Diff ] File ]
rm - src/cats/create_ingres_database.in Diff ] File ]
rm - src/cats/create_mysql_database.in Diff ] File ]
rm - src/cats/create_postgresql_database.in Diff ] File ]
rm - src/cats/create_sqlite3_database.in Diff ] File ]
add - src/cats/ddl/drops/postgresql.sql Diff ] File ]
add - src/cats/ddl/grants/ingres-readonly.sql Diff ] File ]
add - src/cats/ddl/grants/ingres.sql Diff ] File ]
add - src/cats/ddl/grants/mysql-readonly.sql Diff ] File ]
add - src/cats/ddl/grants/mysql.sql Diff ] File ]
add - src/cats/ddl/grants/postgresql-readonly.sql Diff ] File ]
add - src/cats/ddl/grants/postgresql.sql Diff ] File ]
add - src/cats/ddl/updates/mysql.14_2001.sql Diff ] File ]
add - src/cats/ddl/updates/mysql.2001_2002.sql Diff ] File ]
add - src/cats/ddl/updates/postgresql.14_2001.sql Diff ] File ]
add - src/cats/ddl/updates/postgresql.2001_2002.sql Diff ] File ]
add - src/cats/ddl/updates/sqlite3.14_2001.sql Diff ] File ]
add - src/cats/ddl/updates/sqlite3.2001_2002.sql Diff ] File ]
mod - src/cats/delete_catalog_backup.in Diff ] File ]
mod - src/cats/drop_bareos_database.in Diff ] File ]
mod - src/cats/drop_bareos_tables.in Diff ] File ]
rm - src/cats/drop_ingres_database.in Diff ] File ]
rm - src/cats/drop_mysql_database.in Diff ] File ]
rm - src/cats/drop_postgresql_database.in Diff ] File ]
rm - src/cats/drop_postgresql_tables.in Diff ] File ]
rm - src/cats/drop_sqlite3_database.in Diff ] File ]
rm - src/cats/drop_sqlite3_tables.in Diff ] File ]
rm - src/cats/fix_postgresql_tables Diff ] File ]
mod - src/cats/grant_bareos_privileges.in Diff ] File ]
rm - src/cats/grant_ingres_privileges.in Diff ] File ]
rm - src/cats/grant_mysql_privileges.in Diff ] File ]
rm - src/cats/grant_postgresql_privileges.in Diff ] File ]
rm - src/cats/grant_privileges Diff ] File ]
rm - src/cats/grant_sqlite3_privileges.in Diff ] File ]
rm - src/cats/ingres.in Diff ] File ]
mod - src/cats/make_bareos_tables.in Diff ] File ]
mod - src/cats/make_catalog_backup.in Diff ] File ]
mod - src/cats/make_ingres_catalog_backup.in Diff ] File ]
rm - src/cats/mysql.in Diff ] File ]
rm - src/cats/postgresql.in Diff ] File ]
mod - src/cats/restore_ingres_catalog_backup.in Diff ] File ]
rm - src/cats/sqlite.in Diff ] File ]
mod - src/cats/update_bareos_tables.in Diff ] File ]
rm - src/cats/update_ingres_tables.in Diff ] File ]
rm - src/cats/update_mysql_tables.in Diff ] File ]
rm - src/cats/update_postgresql_tables.in Diff ] File ]
rm - src/cats/update_sqlite3_tables.in Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-10-18 13:46 MaxHeadroom New Issue
2013-10-29 17:16 tigerfoot Note Added: 0000710
2013-10-29 23:05 MaxHeadroom Note Added: 0000714
2013-10-29 23:06 MaxHeadroom Note Edited: 0000714 View Revisions
2013-11-08 16:46 maik Note Added: 0000719
2013-11-08 16:46 maik Status new => acknowledged
2013-11-08 17:10 joergs Note Added: 0000724
2014-02-01 23:09 mvwieringen Changeset attached => bareos master 6f4dc6d4
2014-02-01 23:09 mvwieringen Note Added: 0000805
2014-02-01 23:09 mvwieringen Assigned To => mvwieringen
2014-02-01 23:09 mvwieringen Status acknowledged => resolved
2014-02-01 23:09 mvwieringen Resolution open => fixed
2014-02-25 17:21 mvwieringen Changeset attached => bareos bareos-13.2 43038491
2014-02-25 17:21 mvwieringen Note Added: 0000822
2014-05-16 17:05 mvwieringen adm Assigned To mvwieringen =>
2014-05-16 17:05 mvwieringen adm Status resolved => closed
2014-05-16 17:05 mvwieringen adm Fixed in Version => 13.2.3
2014-05-16 17:05 mvwieringen adm Target Version => 13.2.3
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-13.2 04c2c636
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-14.2 910ed935
2015-03-25 16:51 mvwieringen Note Added: 0001413
2015-03-25 16:51 mvwieringen Status closed => resolved
2015-03-25 19:19 joergs Note Added: 0001568
2015-03-25 19:19 joergs Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker